Bug 434787 - asm/ptrace.h: expected specifier-qualifier-list before ‘u32’
asm/ptrace.h: expected specifier-qualifier-list before ‘u32’
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 434390
  Show dependency treegraph
 
Reported: 2008-02-25 09:38 EST by Petr Machata
Modified: 2015-05-04 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-08 15:11:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Machata 2008-02-25 09:38:05 EST
Description of problem:
I guess the problem would be best illustrated by a testcase:

$ cat pt.c 
#include <asm/ptrace.h>
$ gcc pt.c 
In file included from /usr/include/asm/ptrace.h:4,
                 from pt.c:1:
/usr/include/asm/ptrace-abi.h:92: error: expected specifier-qualifier-list
before ‘u32’

Causes problem during ltrace build.
The problem might be that u32 is wrongly exposed to userspace, or I guess that
it's left out from asm/types.h.

Version-Release number of selected component (if applicable):
kernel-headers-2.6.25-0.40.rc1.git2.fc9.x86_64
kernel-headers-2.6.25-0.65.rc2.git7.fc9.i386

How reproducible:
Always

Steps to Reproduce:
See description.
  
Actual results:
undefined type u32 is used

Expected results:
the type u32 is not used, or is defined
Comment 1 Chuck Ebbert 2008-03-08 15:11:21 EST
Fixed on Feb 29th.

Note You need to log in before you can comment on or make changes to this bug.